Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsSource Class Reference

`#include <vtkStructuredPointsSource.h>`

Inheritance diagram for vtkStructuredPointsSource:

[legend]
Collaboration diagram for vtkStructuredPointsSource:

[legend]
List of all members.

## Detailed Description

Abstract class whose subclasses generates structured Points data.

Date:
  2002/10/04 20:43:44

Revision:
  1.39

vtkStructuredPointsSource is an abstract class whose subclasses generate structured Points data.

See also:
  vtkStructuredPointsReader vtkPLOT3DReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (44%)
  - Martin, Ken (21%)
  - Law, Charles (13%)
  - Cedilnik, Andy (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredPointsSource.cxx)`
  - .`h` (`/Filtering/vtkStructuredPointsSource.h)`

Definition at line 49 of file vtkStructuredPointsSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkStructuredPoints *output)
vtkStructuredPoints * | GetOutput ()
vtkStructuredPoints * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredPointsSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsSource ()
| ~vtkStructuredPointsSource ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkSource vtkStructuredPointsSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter. Definition at line 52 of file vtkStructuredPointsSource.h.

## Constructor & Destructor Documentation

vtkStructuredPointsSource::vtkStructuredPointsSource | ( |  | ) | `[protected]`

vtkStructuredPointsSource::~vtkStructuredPointsSource | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkStructuredPointsSource.h.

## Member Function Documentation

virtual const char* vtkStructuredPointsSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter.

int vtkStructuredPointsSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter.

virtual int vtkStructuredPointsSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter.

vtkStructuredPointsSource* vtkStructuredPointsSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter.

void vtkStructuredPointsSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredPointsFilter, and vtkStructuredPointsToStructuredPointsFilter.

void vtkStructuredPointsSource::SetOutput | ( | vtkStructuredPoints * | output | ) |

| Set/Get the output of this source.

vtkStructuredPoints* vtkStructuredPointsSource::GetOutput | ( |  | ) |

| Set/Get the output of this source.

vtkStructuredPoints* vtkStructuredPointsSource::GetOutput | ( | int | idx | ) |

| Set/Get the output of this source. Reimplemented from vtkSource.

void vtkStructuredPointsSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkStructuredPointsToStructuredPointsFilter.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredPointsSource.h